# slc5-amd64.spec: v6 2009/03/25 KELEMEN Peter <lxdistcc-admins@cern.ch>

%define version 11
%define release 1
%define dist .slc5

%define	_prefix	/usr
%define _bindir %{_prefix}/bin
%define _datadir %{_prefix}/share
%define _docdir %{_datadir}/doc/%{name}-%{version}
%define _libdir %{_prefix}/lib
%define _mandir %{_datadir}/man
%define _sysconfdir /etc

%define _varlibdir /var/lib/%{name}

Name: cern-lxdistcc-hosts
Summary: CERN lxdistcc host specifications
Version: %{version}
Release: %{release}%{?dist}
Group: Development/Languages
License: GPL
Packager: KELEMEN Peter <lxdistcc-admins@cern.ch>
Distribution: Scientific Linux CERN 5
BuildArch: x86_64
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
# BuildRequires:
Requires: distcc >= 3.1-6cern.svn20090227.slc5

%description
lxdistcc CERN SLC5/x86_64 hosts list.

%prep
%setup -cT
cat > hosts <<EOT
--randomize
--localslots=2
--localslots_cpp=32
lxbrb0601.cern.ch/8
lxbrb0602.cern.ch/8
lxbrb0603.cern.ch/8
lxbrb0604.cern.ch/8
lxbrb0605.cern.ch/8
lxbrb0606.cern.ch/8
lxbrb0607.cern.ch/8
lxbrb0608.cern.ch/8
EOT

cat > cern-lxdistcc.sh <<EOT
# cern-lxdistcc.sh: v4 2009/03/19 KELEMEN Peter <lxdistcc-admins@cern.ch>

export DISTCC_AUTH=1
export DISTCC_TIMESTAMP=1

cern-distcc-show-env () {
	set | grep -a '^DISTCC'
}

cern-distcc-show-installed-packages () {
	rpm -qa | grep distcc
}

# End of file.
EOT

cat > cern-lxdistcc.csh <<EOT
# cern-lxdistcc.csh: v3 2009/03/19 KELEMEN Peter <lxdistcc-admins@cern.ch>

setenv DISTCC_AUTH 1
setenv DISTCC_TIMESTAMP 1

# End of file.
EOT

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -d 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/distcc
install -d 755 ${RPM_BUILD_ROOT}/%{_varlibdir}

install -d 755 ${RPM_BUILD_ROOT}/%{_datadir}/distcc
install -m 644 hosts ${RPM_BUILD_ROOT}/%{_datadir}/distcc

install -d 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d
install -m 644 cern-lxdistcc.sh ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d
install -m 644 cern-lxdistcc.csh ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%{_datadir}/distcc/hosts
%{_sysconfdir}/profile.d/cern-lxdistcc.sh
%{_sysconfdir}/profile.d/cern-lxdistcc.csh
%{_varlibdir}

%post
HOSTS=%{_sysconfdir}/distcc/hosts
MASTER=%{_datadir}/distcc/hosts
SAVE=%{_varlibdir}/hosts
install -m 644 $HOSTS $SAVE
install -m 644 $MASTER $HOSTS

%changelog
* Mon Mar 23 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 11-1
- Added explicit dependency on distcc version.

* Mon Mar 23 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 10-1
- Added --localslots_cpp=32 option.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 9-1
- cern-show-distcc-env() -> cern-distcc-show-env()
- cern-show-distcc-installed-packages() -> cern-distcc-show-installed-packages()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 8-1
- cern-show-distcc-installed-packages()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 7-1
- I'm fed up with how RPM handles package upgrades.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 6-1
- Removed %preun, need to reimplement it in NCM as soon as lcm-profile is
  fixed.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 5-1
- Rewrite scripts.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 4-1
- Do not set DISTCC_VERBOSE .
- cern-show-distcc-env()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 3-1
- Decrease per-host slot number (10->8).
- Fix tcsh(1) snippet syntax.
- Fix postinst not to overwrite savefile on upgrades.

* Tue Mar 17 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 2-1
- Use FQDN hostnames.
- Include /etc/profile.d/ scripts.

* Mon Mar 16 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 1-1
- Initial release.
